%define _oldname teatime_applet_2
%define _name gnome-teatime
%define _amname gnome_teatime

Name: gnome-applets-extra-teatime
Version: 2.6.0
Release: alt1

Summary: Tea drawing time applet for GNOME
Summary (ru_RU.KOI8-R):     GNOME
Group: Graphical desktop/GNOME
License: GPL
Url: http://dr.dhis.org/teatime

Source: %url/%_oldname-%version.tar.gz
Source1: %name-ru.po
Patch1: %name-2.4.1-alt-configure.patch
Patch2: %name-2.4.1-alt-makefile.patch

# Versions taken from configure.ac
%define gstreamer_ver 0.8
%define gtk_ver 2.6
%define gnome_vfs_ver 2.4
%define gnome_panel_ver 2.6
%define libxml_ver 2.6

Requires: gstreamer >= %gstreamer_ver
Requires: gnome-panel >= %gnome_panel_ver
Requires: libxml2 >= %libxml_ver
Requires: libgtk+2 >= %gtk_ver

BuildPreReq: pkgconfig >= 0.9
BuildPreReq: gstreamer-plugins-devel >= %gstreamer_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-panel-devel >= %gnome_panel_ver
BuildPreReq: libxml2-devel >= %libxml_ver

BuildRequires: popt-devel zlib-devel

%description
A nice little applet for your GNOME panel that helps you never forget
about your tea.

%description -l ru_RU.KOI8-R
  ,      .

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %_oldname-%version
cat %SOURCE1 >po/ru.po
%patch1
%patch2
%__subst s/%{_oldname}_/%{_amname}_/ src/Makefile.am
%__subst s/%_oldname/%_name/ src/Makefile.am configure.ac \
    GNOME_TeatimeApplet_Factory.server.in.in teatime.schemas
%__subst "s|pixmaps/teatime|/pixmaps/%_name|" pixmaps/Makefile.am src/image-loader.c

%build
%__rm -f missing
autoreconf -fisv
%configure --disable-schemas-install --disable-static

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome %_name

%post
%gconf2_install teatime

%files -f %_name.lang
%dir %_libexecdir
%_libexecdir/*
%_libdir/bonobo/*/*
#%_datadir/%_name
#%_datadir/icons/*
%_datadir/pixmaps/teatime.png
%dir %_datadir/pixmaps/%_name
%_datadir/pixmaps/%_name/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README ChangeLog

%changelog
* Mon Sep 26 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.6.0-alt1
- New upstream version.
- Updated Russian translation.
- Cleaned up buildreqs.

* Sat Jul 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.4.3-alt1
- New upstream version with Russian translation merged in.

* Fri Feb 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.4.1-alt1
- Initial Sisyphus package.

